{% extends './sub_base.html' %}
{% block title %}Log-in | Makeup Market{% endblock  %}
{% block sub_base_content %}
    <form class="account-form " action="{% url 'account:login' %}" method="post">
        {% csrf_token %}
        <h3 class="mb-4">Sign In</h3>
        {% if form.errors %}
            <div class="alert alert-primary" role="alert">
                Error: Username or Password not correct!
            </div>
        {% endif %}
        {% if messages %}
            <div class="alert alert-primary" role="alert">
                Error: 
                {% for message in messages %}
                    <li>{{ message }}</li>
                {% endfor %}
            </div>
        {% endif %}
        <label class="form-label">{{form.username.label}}</label>
        {{form.username}}
        <label class='form-label'>{{form.password.label}}<span class="text-muted small mb-4"></span></label>
        {{form.password}}

        
        <div class="d-grid gap-2">
            <input type="hidden" name="next" value="{{ next }}">
            <button class="btn btn-primary btn-block py-2 mb-4 mt-5 fw-bold" type="submit">Sign In</button>
        </div>
        <div class="d-flex flex-row justify-content-center">
            <div class="p-3">
                <a href="{% url 'social:begin' 'facebook'%}" class="btn btn-primary">
                    <i class="fa fa-facebook fa-fw"></i>
                    <span>Login with Facebook</span>
                 </a>
            </div>
            <div class="p-3">
                <a href="{% url 'social:begin' 'google-oauth2'%}" class="btn btn-light btn-outline-dark">
                    <i class="fa fa-google fa-fw"></i>
                    <span>Login with Google</span>
                 </a>
            </div>
        </div>
        <div class="flex-column justify-content-center mx-auto pb-3">
            <div class="text-center"><a href="{% url 'account:register' %}">Create an account</a></div>
            <div class="text-center"><a href="{% url "account:pwdreset" %}">Forgotten password?</a></div>
        </div>
    </form>                
{% endblock  %}